#!/bin/bash

# Result:
#         out/Bootstrap               -  signed kernel prepared for bootloader partition
#         out/uImzlib_null_magNNN.img -  image for kernel partition
#         out/uImzlib_magNNN.img      -  signed image for rootfs included in imageupdate archive
#

R='\033[1;31m'  # RED
G='\033[0;32m'  # GREEN
Y='\033[0;33m'  # YELLOW
CL='\E[0m'      # End color


if [[ $# < 2 ]]; then
    echo -e ""
    echo -e $Y"Usage:"$CL
    echo -e $Y"    $0 <model_name> <path_to_kernel> <profile>"$CL
    echo -e ""
    echo -e $Y"    The <model_name> should be the same as the Model Name of STB"$CL
    echo -e $Y"    The Model Name can be viewed in System Recovery Utility > Device Information > Model"$CL
    echo -e $Y"    or in System Settings > Device Info > Model"$CL
    echo -e ""
    echo -e $Y"For example:"$CL
    echo -e $Y"    $0 MAG420 ./mag420/images/uImage_mag420.clean img_make.profile.mag420"$CL
    echo -e ""
    exit 0
fi

export MAKE_CUSTOM_IMAGE=1

./kernel_sign.sh $1 $2 $3

tput sgr0


